body,
html {
  margin: 0;
  padding: 0;
}

a:link,
a:visited {
  color: white;
  text-decoration: none;
}

/* NAVBAR */

nav {
  position: fixed;
  top: 0;
  z-index: 100;
  display: flex;
  justify-content: center;
  width: 100%;
  background: rgba(43, 27, 51, 0);
  transition: 0.5s;
}

nav ul {
  list-style-type: none;
  display: flex;
  justify-content: space-between;
  width: 300px;
  padding: 0;
}

nav ul li {
  margin: 0;
  font-size: 18px;
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  color: white;
}

.nav-bg {
  background: rgba(43, 27, 51, 0.8);
}

@media screen and (max-width: 844px) {
  nav {
    display: none;
  }
}

/* PARALLAX */

main {
  height: 100vh;
  width: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  perspective: 2px;
}

.top {
  transform-style: preserve-3d;
  position: relative;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
}

.desk {
  width: 110%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: end;
}

.home-title {
  position: absolute;
  top: 0;
  left: 0;
  width: 20%;
  color: white;
  font-family: "Montserrat", sans-serif;
  font-size: 18px;
  padding-left: 100px;
  margin-top: 100px;
  z-index: 2;
}

.home-title img {
  width: 150px;
}

.home-title p {
  margin: 0;
  padding-left: 5px;
}

.desk img {
  width: 100%;
}

.no-parallax {
  background-color: #111;
  z-index: 999;
}

.parallax::after {
  content: " ";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  transform: translateZ(-4px) scale(3.1);
  background-size: 100%;
  z-index: -1;
}

.bg::after {
  background: rgb(125, 89, 142);
  background-image: url("../../images/wall-orange.svg"),
    linear-gradient(-150deg, rgba(125, 89, 142, 1) 0%, rgba(66, 38, 79, 1) 69%);
  background-size: cover;
  background-position: center bottom;
}

@media screen and (max-width: 844px) {
  .top {
    height: 200px;
    justify-content: flex-start;
  }

  .desk {
    height: 200px;
  }

  .home-title {
    padding-left: 20px;
    margin-top: 15px;
    width: 100%;
    font-size: 14px;
    width: 35%;
  }

  .home-title img {
    width: 100px;
  }

  .bg::after {
    background-size: contain;
    background-position: top;
  }

  .parallax::after {
    top: -315px;
  }
}

/* INTRO */

.content {
  position: relative;
  top: 0;
  width: 100%;
  background: #1d1a21;
  z-index: 5;
}

.intro {
  width: 80%;
  margin: auto;
  display: flex;
  justify-content: space-around;
  padding-top: 200px;
  padding-bottom: 75px;
}

.intro-img {
  width: 42%;
  height: 400px;
  background: rgb(49, 17, 65);
  background: linear-gradient(
    -150deg,
    rgba(70, 28, 91, 0.9) 15%,
    rgba(91, 56, 107, 0.9) 100%
  );
}

.intro-img img {
  display: block;
  position: relative;
  width: 85%;
  margin: auto;
  top: -50px;
  border: 5px solid white;
}

.intro-about {
  width: 35%;
  color: white;
  font-size: 34px;
  font-family: "Montserrat", sans-serif;
}

.intro-about h1 {
  margin: 0;
}

.intro-about p {
  margin: 25px 0 0 0;
  font-size: 18px;
  line-height: 30px;
}

.skew-a {
  width: 100%;
  height: 100px;
  position: absolute;
  left: 0;
  background: linear-gradient(to right bottom, #1d1a21 49%, #fcfaff 50%),
    linear-gradient(-50deg, #fcfaff 16px, #000 0);
}

.skew-b {
  width: 100%;
  height: 100px;
  position: absolute;
  left: 0;
  background: linear-gradient(-50deg, #fcfaff 16px, #000 0),
    linear-gradient(to right bottom, #1d1a21 49%, #fcfaff 50%);
}

@media screen and (max-width: 844px) {
  .intro {
    padding-top: 100px;
    display: block;
  }

  .intro-img {
    width: 100%;
    height: 250px;
  }

  .intro-about {
    width: 100%;
    margin-top: 20px;
  }
}

/* SKILLSET */

.skills {
  width: 100%;
  padding-top: 100px;
  font-family: "Montserrat", sans-serif;
  background: #fcfaff;
}

.skills-container {
  width: 75%;
  margin: auto;
  display: flex;
  margin-top: 75px;
  padding-bottom: 200px;
}

.skills h2 {
  font-size: 5vw;
  color: #e57784;
  font-family: "Dancing Script", cursive;
  margin: 20px 0 0 0;
}

.skills-text {
  color: #595959;
}

.skills-text h1 {
  font-size: 36px;
  text-align: center;
  color: #6c4a7c;
}

.skills-text p,
ul {
  font-size: 18px;
  text-align: center;
  list-style-type: none;
  padding: 0;
}

.skills-text p {
  width: 65%;
  margin: auto;
}

.skills-bg {
  width: 50%;
  height: 700px;
  background: url("../../images/design.svg");
  background-size: contain;
  background-repeat: no-repeat;
  text-align: center;
  background-position: center;
}

.skills-icon {
  width: 100%;
  height: 225px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.skills-description {
  width: 80%;
  height: 200px;
  margin: auto;
  text-align: center;
}

.skills-description p {
  text-align: center;
  font-size: 18px;
}

.skills-description h3 {
  margin-top: 50px;
}

.skills-list {
  display: flex;
  justify-content: center;
}

.skills-list ul {
  /* padding: 0 30px 0 30px; */
  margin: 0 30px 0 30px;
}

.skills-list ul li {
  margin-bottom: 10px;
}

@media screen and (max-width: 844px) {
  .skills-text p {
    width: 100%;
  }

  .skills-container {
    width: 95%;
    margin: auto;
  }

  .skills-container {
    display: block;
    padding-bottom: 100px;
  }

  .skills-bg {
    margin: 50px auto 0 auto;
    width: 100%;
    height: 600px;
  }

  .skills-description {
    width: 100%;
  }

  .skills-icon {
    height: 200px;
  }

  .skills h2 {
    font-size: 8vw;
  }
  
  .skills-bg {
      padding-bottom: 15px;
  }
}

/* PROJECTS */

.projects {
  width: 100%;
  background: #fcfaff;
}

.projects h1 {
  text-align: center;
  font-size: 36px;
  font-family: "Montserrat", sans-serif;
  color: #6c4a7c;
}

.projects p {
  color: #595959;
  font-size: 18px;
  font-family: "Montserrat", sans-serif;
  text-align: center;
}

.project-link {
  color: purple;
}

.project-link:link {
  color: #9852ff;
  text-decoration: none;
}

.project-link:hover {
  color: #6535ab;
}

.project-container {
  width: 80%;
  margin: auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-top: 75px;
}

.project-box {
  width: 25vw;
  height: 15vw;
  position: relative;
  overflow: hidden;
  margin-bottom: 45px;
}

.project-box img {
  width: 100%;
}

.divider {
  position: relative;
  padding-top: 90px;
  height: 1px;
}

.div-transparent:before {
  content: "";
  position: absolute;
  top: 0;
  left: 5%;
  right: 5%;
  width: 90%;
  height: 1px;
  background-image: linear-gradient(
    to right,
    transparent,
    rgb(48, 49, 51),
    transparent
  );
}

.project-box figure img {
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}

.project-box figure:hover img {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}

.project-box figure {
  position: relative;
}
.project-box figure::before {
  position: absolute;
  top: 0;
  left: -75%;
  z-index: 2;
  display: block;
  content: "";
  width: 50%;
  height: 100%;
  background: -webkit-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
}
.project-box figure:hover::before {
  -webkit-animation: shine 0.75s;
  animation: shine 0.75s;
}

.project-btn {
  display: inline-block;
  justify-content: center;
  text-align: center;
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
  background: #745c97;
  color: white;
  border-radius: 5px;
  padding: 2% 6% 2% 6%;
  transition: background-color 0.5s;
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
@keyframes shine {
  100% {
    left: 125%;
  }
}

@media screen and (max-width: 844px) {
  .projects {
    height: auto;
  }

  .projects p {
    width: 90%;
    margin: auto;
  }

  .project-container {
    flex-direction: column;
  }

  .project-box {
    width: 100%;
    height: 300px;
    margin: 0 auto 15px auto;
  }
}

/* CONTACT */

.contact {
  width: 100%;
  height: 500px;
  background: #fcfaff;
  padding-top: 100px;
}

.contact h1 {
  text-align: center;
  font-size: 36px;
  font-family: "Montserrat", sans-serif;
  color: #6c4a7c;
}

.contact p {
  width: 65%;
  margin: auto;
  margin-top: 25px;
  text-align: center;
  color: #595959;
  font-size: 18px;
  font-family: "Montserrat", sans-serif;
}

.btn-container {
  width: 50%;
  margin: auto;
  text-align: center;
  padding: 50px 0 0 0;
}

.msg-btn {
  display: inline-block;
  justify-content: center;
  text-align: center;
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
  background: #745c97;
  color: white;
  border-radius: 5px;
  padding: 2% 6% 2% 6%;
  transition: background-color 0.5s;
}

.msg-btn:hover {
  background: #644099;
  color: white;
  transition: 0.5s;
}

.msg-btn:link {
  text-decoration: none;
  color: white;
}

.msg-btn:visited {
    color: white;
}

@media screen and (max-width: 844px) {
  .contact {
    display: block;
  }

  .contact p {
    width: 90%;
    margin: auto;
  }

  .btn-container a {
    padding: 10px 25px 10px 25px;
  }
}

/* FOOTER */

footer {
  width: 100%;
  height: 200px;
  background: #745c97;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.footer-menu {
  width: 25%;
  margin: auto;
  display: flex;
  justify-content: space-between;
}

.footer-menu a {
  color: white;
  text-decoration: none;
  font-size: 16px;
  font-family: "Montserrat", sans-serif;
}

.footer-menu a:hover {
  color: #d6baff;
  transition: 0.2s;
}

.copyright {
  text-align: center;
}

.copyright p {
  font-family: "Montserrat", sans-serif;
  color: white;
  margin: 0;
  padding: 0 0 10px 0;
  font-size: 14px;
}

@media screen and (max-width: 844px) {
  footer {
    justify-content: flex-start;
  }

  .footer-menu {
    width: 80%;
    margin: 15px auto 55px auto;
  }
}
